Class | Sequel::SQL::ColumnAll
In: | lib/sequel/sql.rb
Parent: | Expression

Represents all columns in a given table, table.* in SQL

### Methods

== new

### Attributes

table | [R] | The table containing the columns being selected

### Public Class methods

new(table)

Create an object with the given table

[Source]

         # File lib/sequel/sql.rb, line 527
    527:       def initialize(table)
    528:         @table = table
    529:       end

### Public Instance methods

==(x)

ColumnAll expressions are considered equivalent if they have the same class and string representation

[Source]

         # File lib/sequel/sql.rb, line 533
    533:       def ==(x)
    534:         x.class == self.class and @table == x.table
    535:       end

[Validate]